Package twisted :: Package spread :: Module pb :: Class AuthRoot |
[frames | no frames]

## Class AuthRoot

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                     Root --+
                            |
                           AuthRoot

DEPRECATED.

I provide AuthServs as root objects to Brokers for a BrokerFactory.

Method Summary
| `__init__(self, auth)`
| ``rootObject`(self, broker)` A `pb.BrokerFactory` is requesting to publish me as a root object.
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Root
`tuple` | `__implements__` = `(<class twisted.spread.flavors.IPBRoot ...`
Inherited from Referenceable
`NoneType` | `perspective` = None

Method Details

### rootObject(self, broker) A `pb.BrokerFactory` is requesting to publish me as a root object. When a `pb.BrokerFactory` is sending me as the root object, this method will be invoked to allow per-broker versions of an object. By default I return myself. Overrides: `twisted.spread.flavors.Root.rootObject` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net